<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
if (!defined("IN_FUSION") || !checkrights("I")) { header("Location: ../../index.php"); exit; }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."referer_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."referer_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
        include INFUSIONS."referer_panel/locale/English.php";
}

// Infusion general information
$inf_title = $locale['REF_100'];
$inf_description = $locale['REF_101'];
$inf_version = "1.2";
$inf_developer = "DwB";
$inf_email = "dummwiebrot@gmail.com";
$inf_weburl = "";

$inf_folder = "referer_panel"; 
$inf_admin_image = "infusion_panel.gif"; 
$inf_admin_panel = "referer_admin.php"; 

$inf_link_name = ""; 
$inf_link_url = ""; 
$inf_link_visibility = "0"; 

$inf_newtables = 2; 
$inf_insertdbrows = 0; 
$inf_altertables = 0; 
$inf_deldbrows = 0; 

$inf_newtable_[1] = "referer_settings (
ref_id INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
ref_domain VARCHAR(255) DEFAULT '',
PRIMARY KEY (ref_id)
) TYPE=MyISAM;";

$inf_newtable_[2] = "referer (
ref_id INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
ref_referer VARCHAR(255) DEFAULT '',
ref_time INT(10) UNSIGNED DEFAULT '0' NOT NULL,
PRIMARY KEY (ref_id)
) TYPE=MyISAM;";

$inf_insertdbrow_[1] = "referer_settings (ref_id, ref_domain) VALUES('', '".$settings['siteurl']."')";

$inf_droptable_[1] = "referer_settings";
//$inf_droptable_[2] = "referer";

?>