<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once BASEDIR."side_left.php";

if (file_exists(INFUSIONS."referer_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."referer_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."referer_panel/locale/English.php";
}
opentable($locale['REF_116']);

$sql = dbquery("SELECT TRIM('http://' FROM ref_referer) as ref, ref_referer, 
	COUNT(ref_referer) as hits
	FROM ".$db_prefix."referer WHERE ref_referer <> '' GROUP BY ref ORDER BY hits DESC");
if(dbrows($sql) != 0) {
	while($data = dbarray($sql)) {
		echo "<img src='".THEME."images/bullet.gif' alt=''> ".$data['hits']."x <a href='".$data['ref_referer']."'>".trimlink($data['ref'],110)."</a>";
		echo "<br />";
	}
}

closetable();
require_once BASEDIR."side_right.php";
require_once BASEDIR."footer.php";
?>